Bug 10648 - Fragment interface not working on Intel chipsets
Summary: Fragment interface not working on Intel chipsets
Status: RESOLVED INVALID
Alias: None
Product: xorg
Classification: Unclassified
Component: App/compiz (show other bugs)
Version: unspecified
Hardware: Other All
: lowest normal
Assignee: David Reveman
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-15 04:48 UTC by SmSpillaz
Modified: 2009-02-05 14:41 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SmSpillaz 2007-04-15 04:48:54 UTC
Fragment interface is not displaying on Intel GMA chipsets (i810 driver). It appears that the textures affected are being shaded but the output is not displayed to the screen. 

Some examples :

1 Water works but content behind water waves are not distorted
2 Blur plugin is "Apparently on" and appears to be slow but translucent textures are not blurred.

This is apparent on  AIGLX in X.org 7.2 Final and higher on OpenSUSE 10.2 and Ubuntu
Comment 1 M. S. 2007-04-19 05:30:29 UTC
I am only using XGL but water works as usual and seems to be hardware accelerated (fast draw/low cpu). However activating blur (even for a single small window/part/region) causes a "2 fps like" redraw slowdown. I assume Mesa jumps in with software shaders? (Latest compiz GIT, Mesa 6.5.2, i945GM)
Comment 2 Nicolò Chieffo 2008-03-12 09:44:07 UTC
intel x3100 GM965
intel driver 2.2.1-1ubuntu4
xorg-core 1.4.1~git20080131-1ubuntu4
xorg-server 7.3+10ubuntu6
mesa 7.0.3~rc2-1ubuntu1

blur, water, shade plugins are not working with my card either (they don't do anything but removing screen content).
I also see this message in the terminal:
/usr/bin/compiz.real (blur) - Warn: No stencil buffer. Region based blur
disabled
Comment 3 SmSpillaz 2009-02-05 14:41:26 UTC
This is resolved in what used to be called the compiz-fusion 'workarounds' plugin. The checkbox 'Fix AIGLX shaders' should fix water - Blur and Bicubic cannot be fixed as their fragment instructions exceed the maximum amount that can be done in hardware.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.